Results 1 to 3 of 3

Thread: Problem #2:perl-base >= 5.600-29mdk errors (RPM issue)

  1. #1

    Problem #2:perl-base >= 5.600-29mdk errors (RPM issue)

    I'm not a particular fan of rpms. Nevertheless, I want to install urpmi, but am confused:

    #rpm -i urpmi-1.5-34mdk.i586.rpm
    error: failed dependencies:
    perl-gettext is needed by urpmi-1.5-34mdk

    Ok, fine.

    #rpm -i perl-gettext-1.0-7mdk.i586.rpm
    error: failed dependencies:
    perl-base >= 5.600-29mdk is needed by perl-gettext-1.0-7mdk

    Lets check perl-base...

    # rpm -qi perl-base
    Name : perl-base Relocations: (not relocateable)
    Version : 5.8.0 Vendor: MandrakeSoft
    Release : 13mdk Build Date: Fri 06 Sep 2002 02:41:48 PM PDT
    Install date: Fri 27 Sep 2002 02:29:04 PM PDT Build Host: no.mandrakesoft.com
    Group : Development/Perl Source RPM: perl-5.8.0-13mdk.src.rpm
    Size : 2279613 License: GPL or Artistic
    Packager : Pixel <pixel@mandrakesoft.com>
    URL : http://www.perl.com
    Summary : The Perl programming language (base).
    Description :
    This is the base package for perl.


    So, I just don'tget it. :

  2. #2

    Re:Problem #2:perl-base >= 5.600-29mdk errors (RPM issue)

    Hello,
    What happens when you throw in the --nodeps switch?

  3. #3

    Re:Problem #2:perl-base >= 5.600-29mdk errors (RPM issue)

    [quote author=pbharris link=board=1;threadid=5249;start=0#51528 date=1034117009]
    Hello,
    What happens when you throw in the --nodeps switch?
    [/quote]

    It does install, but urpmi fails on execute...

    Can't locate urpm.pm in @INC (@INC contains: /usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl/5.6.1 /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl) at /usr/bin/urpmi line 20.
    BEGIN failed--compilation aborted at /usr/bin/urpmi line 20.




Similar Threads

  1. FreeBSD 6.2 - Installing BASE, WWW issue
    By NipponDSM in forum BSD
    Replies: 8
    Last Post: 01-30-2007, 08:25 AM
  2. Perl module problem
    By Outlaw in forum Linux - Software, Applications & Programming
    Replies: 3
    Last Post: 05-04-2005, 02:17 PM
  3. Perl is producing Errors on YaBB
    By shebang in forum Linux - Software, Applications & Programming
    Replies: 4
    Last Post: 03-26-2004, 02:35 AM
  4. Knowledge Base
    By trickster in forum Announcements and Suggestions
    Replies: 23
    Last Post: 04-15-2003, 02:39 AM
  5. perl question from a perl newb
    By tolstoy in forum Linux - Software, Applications & Programming
    Replies: 4
    Last Post: 09-06-2002, 01:16 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •